# class GetRequest_PDU |
Full name | `Snmp::GetRequest_PDU`
Definition | `#include <libs/ysnmp/yatesnmp.h>`
Inherits | AsnObject (unknown) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- GetRequest_PDU ()
- GetRequest_PDU (void* data, int len)
- ~GetRequest_PDU ()
- int decode (DataBlock& data)
- int encode (DataBlock& data)
- void getParams (NamedList* params)
- void setParams (NamedList* params)

#### Public Members

- static const int s_type
- static const int tag_GetRequest_PDU
- PDU* m_GetRequest_PDU

## Detailed Description

static const int s_type | ### s_type

static const int tag_GetRequest_PDU | ### tag_GetRequest_PDU

PDU* m_GetRequest_PDU | ### m_GetRequest_PDU

GetRequest_PDU () | ### GetRequest_PDU

GetRequest_PDU (void* data, int len) | ### GetRequest_PDU

~GetRequest_PDU () | ### ~GetRequest_PDU

int decode (DataBlock& data) | ### decode

int encode (DataBlock& data) | ### encode

void getParams (NamedList* params) | ### getParams

void setParams (NamedList* params) | ### setParams

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.